%global package_name	psycopg
%global src_name	%{package_name}3
%global _description %{expand:
Psycopg 3 is a PostgreSQL database adapter for the Python programming language.
Psycopg 3 presents a familiar interface for everyone who has used Psycopg 2 or
any other DB-API 2.0 database adapter, but allows to use more modern PostgreSQL
and Python features.}

Name:		python-%{src_name}
Version:	3.1.10
Release:    1%{?dist}
Summary:	Psycopg 3 is a modern implementation of a PostgreSQL adapter for Python

License:	LGPLv3
URL:		https://www.psycopg.org/%{src_name}/
Source0:	https://github.com/%{package_name}/%{package_name}/archive/refs/tags/%{version}.tar.gz

BuildRequires:	python3-devel

BuildRequires:	libpq
BuildRequires:	postgresql-test-rpm-macros

BuildArch:	noarch

%description %_description

%package -n python3-%{src_name}
Requires:	libpq
Summary:	%{SUMMARY}

%description -n python3-%{src_name} %_description

%prep
%autosetup -p3 -n %{package_name}-%{version}/%{package_name}

sed -r -i 's/("(black|flake8|pytest-cov)\b.*",)/# \1/' setup.py
sed -r -i 's/("(pproxy)\b.*",)/# \1/' setup.py

sed -i 's/\(anyio\).*$/\1",/' setup.py 

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{package_name}

pushd ../tests/

find pool/ ! -name 'fix_pool.py' -type f -exec rm -f {} +

popd

%check
export PGTESTS_LOCALE=C.UTF-8
%postgresql_tests_run
export PSYCOPG_TEST_DSN="host=$PGHOST port=$PGPORT dbname=${PGTESTS_DATABASES##*:}"

%pytest ../tests/ -k "not test_typing and not test_module"

%files -n python3-%{src_name} -f %{pyproject_files}
%doc ../README.rst
%license LICENSE.txt


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.10-1
- initial build
